diff --git a/game/client/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java b/game/client/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
index c1ebf91fb..cb1cac4ae 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/paged/ScreenPaged.java
@@ -7,6 +7,8 @@ import net.minecraft.client.render.Scissor;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.sound.SoundCategory;
+import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.input.Mouse;
 import org.lwjgl.opengl.GL11;
@@ -21,25 +23,31 @@ public class ScreenPaged
     private static final int PADDING = 8;
     private static final int PAGE_BUTTON_HEIGHT = 20;
 
-    private final String titleTranslationKey;
-    private final String[] buttonTranslationKeys;
+    private final @NotNull String titleTranslationKey;
+    private final @NotNull String @NotNull [] buttonTranslationKeys;
 
     private float rightScrollAmount = 0.0f;
     private float leftScrollAmount = 0.0f;
     private int top, bottom, rightScrollRegionHeight, leftScrollRegionHeight, pageWidth, leftWidth;
 
-    private Float oldRightScrollAmount;
-    private Float oldLeftScrollAmount;
-    private Integer clickX, clickY;
-    private Page selectedPage;
-    private PageComponent clickedComponent;
+    private @Nullable Float oldRightScrollAmount = null;
+    private @Nullable Float oldLeftScrollAmount = null;
+    private @Nullable Integer clickX;
+    private @Nullable Integer clickY;
+    private @NotNull Page selectedPage;
+    private @Nullable PageComponent clickedComponent;
     private int clickedComponentY;
-    private ItemElement renderItem = null;
+    private @Nullable ItemElement renderItem = null;
 
-    private final PageRegistry pageRegistry;
+    private final @NotNull PageRegistry pageRegistry;
 
-    public ScreenPaged(Screen parent, PageRegistry pageRegistry, Page selectedPage, String titleTranslationKey, String[] buttonTranslationKeys)
-    {
+    public ScreenPaged(
+        final @Nullable Screen parent,
+        final @NotNull PageRegistry pageRegistry,
+        final @Nullable Page selectedPage,
+        final @NotNull String titleTranslationKey,
+        final @NotNull String @NotNull [] buttonTranslationKeys
+    ) {
         super(parent);
         this.pageRegistry = pageRegistry;
         if (selectedPage == null) {
@@ -52,183 +60,184 @@ public class ScreenPaged
     }
 
     @Override
-    public void init()
-    {
+    public void init() {
         super.init();
 
-        int buttonWidth = 200 - (buttonTranslationKeys.length - 1) * 40;
-        int totalButtonsWidth = buttonTranslationKeys.length * (buttonWidth + 4) - 4;
-        for (int i = 0; i < buttonTranslationKeys.length; i++) {
-            String buttonTranslationKey = buttonTranslationKeys[i];
-            buttons.add(new ButtonElement(i, width / 2 - totalButtonsWidth / 2 + ((buttonWidth + 4) * i), height - (BUTTON_SPACING + 20), buttonWidth, 20, I18n.getInstance().translateKey(buttonTranslationKey)));
+        final int buttonWidth = 200 - (this.buttonTranslationKeys.length - 1) * 40;
+        final int totalButtonsWidth = this.buttonTranslationKeys.length * (buttonWidth + 4) - 4;
+        for (int i = 0; i < this.buttonTranslationKeys.length; i++) {
+            final @NotNull String buttonTranslationKey = this.buttonTranslationKeys[i];
+            this.buttons.add(
+                new ButtonElement(
+                    i,
+                    this.width / 2 - totalButtonsWidth / 2 + ((buttonWidth + 4) * i),
+                    this.height - (BUTTON_SPACING + 20),
+                    buttonWidth,
+                    20,
+                    I18n.getInstance().translateKey(buttonTranslationKey)
+                )
+            );
         }
 
-        top = TOP_SPACING;
-        bottom = height - (BUTTON_SPACING + 20 + BUTTON_SPACING);
+        this.top = TOP_SPACING;
+        this.bottom = this.height - (BUTTON_SPACING + 20 + BUTTON_SPACING);
 
-        rightScrollRegionHeight = bottom - top;
-        leftScrollRegionHeight = bottom - top;
+        this.rightScrollRegionHeight = this.bottom - this.top;
+        this.leftScrollRegionHeight = this.bottom - this.top;
 
-        this.renderItem = new ItemElement(mc);
+        this.renderItem = new ItemElement(this.mc);
 
-        this.selectedPage.initComponents(mc);
+        this.selectedPage.initComponents(this.mc);
     }
 
     @Override
-    public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
-        if (eventKey == Keyboard.KEY_ESCAPE)
-        {
-            mc.displayScreen(getParentScreen());
-        }
-        else
-        {
-            for (PageComponent component : selectedPage.getComponents())
-            {
+    public void keyPressed(final char eventCharacter, final int eventKey, final int mx, final int my) {
+        if (eventKey == Keyboard.KEY_ESCAPE) {
+            this.mc.displayScreen(this.getParentScreen());
+        } else {
+            for (final @NotNull PageComponent component : this.selectedPage.getComponents()) {
                 component.onKeyPress(eventKey, eventCharacter);
             }
         }
     }
 
-    private void drawPageItems(int x, int y, int width, int mouseX, int mouseY)
-    {
+    private void drawPageItems(final int x, final int y, final int width, final int mouseX, final int mouseY) {
         int y2 = y;
-        for (PageComponent component : selectedPage.getComponents())
-        {
+        for (final @NotNull PageComponent component : this.selectedPage.getComponents()) {
             component.render(x, y2, width, mouseX - x, mouseY - y2);
             y2 += component.getHeight();
         }
     }
 
-    private void drawPagesListItems(int x, int y, int width, int mouseX, int mouseY) {
+    private void drawPagesListItems(final int x, final int y, final int width, final int mouseX, final int mouseY) {
         int y2 = y;
-        for(Page page : pageRegistry.getPages()) {
-            String translated = I18n.getInstance().translateKey(page.getTranslationKey());
+        for (final @NotNull Page page : this.pageRegistry.getPages()) {
+            final String translated = I18n.getInstance().translateKey(page.getTranslationKey());
             int textColor = 0xFF7F7F7F;
-            if (page == selectedPage) {
+            if (page == this.selectedPage) {
                 textColor = 0xFFFFFFFF;
             }
             if (mouseX >= x && mouseX < x + width && mouseY >= y2 && mouseY < y2 + PAGE_BUTTON_HEIGHT) {
                 textColor = 0xFFFFFFA0;
             }
-            renderItem.render(page.getIcon(), x, y2 + (PAGE_BUTTON_HEIGHT / 2) - 9);
-            drawStringShadow(this.fontRenderer, translated, x + 19, y2 + (PAGE_BUTTON_HEIGHT / 2) - 4, textColor);
+            assert this.renderItem != null;
+            this.renderItem.render(page.getIcon(), x, y2 + (PAGE_BUTTON_HEIGHT / 2) - 9);
+            this.drawStringShadow(this.fontRenderer, translated, x + 19, y2 + (PAGE_BUTTON_HEIGHT / 2) - 4, textColor);
             y2 += PAGE_BUTTON_HEIGHT;
         }
     }
 
     @Override
     public void tick() {
-        for (PageComponent component : selectedPage.getComponents())
-        {
+        for (final PageComponent component : this.selectedPage.getComponents()) {
             component.tick();
         }
     }
 
     @Override
-    protected void buttonClicked(ButtonElement button) {
+    protected void buttonClicked(@NotNull final ButtonElement button) {
         super.buttonClicked(button);
 
-        if (button.id == 0)
-        {
-            mc.displayScreen(getParentScreen());
-            mc.texturePackList.refreshIfReady(); // Sets the texturepacks on menu close
+        if (button.id == 0) {
+            this.mc.displayScreen(this.getParentScreen());
+            this.mc.texturePackList.refreshIfReady(); // Sets the texturepacks on menu close
         }
     }
 
-    private void scrollRightPanel(float amount) {
-        if(amount == 0.0f) return;
+    private void scrollRightPanel(final float amount) {
+        if (amount == 0.0f) return;
 
-        rightScrollAmount += amount;
-        onScrollRightPanel();
+        this.rightScrollAmount += amount;
+        this.onScrollRightPanel();
     }
 
     private void onScrollRightPanel() {
-        int totalRightPanelHeight = getTotalRightPanelHeight();
-        if (rightScrollAmount < 0 || rightScrollRegionHeight > totalRightPanelHeight) rightScrollAmount = 0;
-        else if (rightScrollAmount > totalRightPanelHeight - rightScrollRegionHeight) rightScrollAmount = totalRightPanelHeight - rightScrollRegionHeight;
+        final int totalRightPanelHeight = this.getTotalRightPanelHeight();
+        if (this.rightScrollAmount < 0 || this.rightScrollRegionHeight > totalRightPanelHeight) this.rightScrollAmount = 0;
+        else if (this.rightScrollAmount > totalRightPanelHeight - this.rightScrollRegionHeight)
+            this.rightScrollAmount = totalRightPanelHeight - this.rightScrollRegionHeight;
     }
 
-    private void scrollLeftPanel(float amount) {
-        if(amount == 0.0f) return;
+    private void scrollLeftPanel(final float amount) {
+        if (amount == 0.0f) return;
 
-        leftScrollAmount += amount;
-        onScrollLeftPanel();
+        this.leftScrollAmount += amount;
+        this.onScrollLeftPanel();
     }
 
     private void onScrollLeftPanel() {
-        int totalLeftPanelHeight = getTotalLeftPanelHeight();
-        if (leftScrollAmount < 0 || leftScrollRegionHeight > totalLeftPanelHeight) leftScrollAmount = 0;
-        else if (leftScrollAmount > totalLeftPanelHeight - leftScrollRegionHeight) leftScrollAmount = totalLeftPanelHeight - leftScrollRegionHeight;
+        final int totalLeftPanelHeight = this.getTotalLeftPanelHeight();
+        if (this.leftScrollAmount < 0 || this.leftScrollRegionHeight > totalLeftPanelHeight) {
+            this.leftScrollAmount = 0;
+        } else if (this.leftScrollAmount > totalLeftPanelHeight - this.leftScrollRegionHeight) {
+            this.leftScrollAmount = totalLeftPanelHeight - this.leftScrollRegionHeight;
+        }
     }
 
-    private int getTotalRightPanelHeight()
-    {
+    private int getTotalRightPanelHeight() {
         int totalPageHeight = 0;
-        for (PageComponent component : selectedPage.getComponents())
-        {
+        for (final PageComponent component : this.selectedPage.getComponents()) {
             totalPageHeight += component.getHeight();
         }
         return totalPageHeight;
     }
 
     private int getTotalLeftPanelHeight() {
-        return PAGE_BUTTON_HEIGHT * pageRegistry.getPages().size();
+        return PAGE_BUTTON_HEIGHT * this.pageRegistry.getPages().size();
     }
 
     @Override
-    public void render(int mx, int my, float renderPartialTicks)
-    {
-        if (mx > leftWidth + SEPARATOR_WIDTH + PADDING && mx < width) {
+    public void render(final int mx, final int my, final float renderPartialTicks) {
+        if (mx > this.leftWidth + SEPARATOR_WIDTH + PADDING && mx < this.width) {
             if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL)) {
-                scrollRightPanel(Mouse.getDWheel() / -0.01f);
+                this.scrollRightPanel(Mouse.getDWheel() / -0.01f);
             } else {
-                scrollRightPanel(Mouse.getDWheel() / -0.05f);
+                this.scrollRightPanel(Mouse.getDWheel() / -0.05f);
             }
-            onScrollRightPanel();
-        } else if (mx >= 0 && mx <= leftWidth) {
+            this.onScrollRightPanel();
+        } else if (mx >= 0 && mx <= this.leftWidth) {
             if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL)) {
-                scrollLeftPanel(Mouse.getDWheel() / -0.01f);
+                this.scrollLeftPanel(Mouse.getDWheel() / -0.01f);
             } else {
-                scrollLeftPanel(Mouse.getDWheel() / -0.05f);
+                this.scrollLeftPanel(Mouse.getDWheel() / -0.05f);
             }
-            onScrollLeftPanel();
+            this.onScrollLeftPanel();
         }
 
-        leftWidth = (int)(width * 0.25f);
-        pageWidth = width - (leftWidth + SEPARATOR_WIDTH + (PADDING * 2));
-        I18n i18n = I18n.getInstance();
+        this.leftWidth = (int) (this.width * 0.25f);
+        this.pageWidth = this.width - (this.leftWidth + SEPARATOR_WIDTH + (PADDING * 2));
+        final @NotNull I18n i18n = I18n.getInstance();
 
-        renderBackground();
-        overlayBackground(0, width, 0, top);
-        overlayBackground(0, width, bottom, height);
+        this.renderBackground();
+        this.overlayBackground(0, this.width, 0, this.top);
+        this.overlayBackground(0, this.width, this.bottom, this.height);
 
-        Scissor.enable(0, top, width, bottom - top);
-        if (my >= top && my <= bottom) {
-            drawPageItems(leftWidth + SEPARATOR_WIDTH + PADDING, top - (int) rightScrollAmount, pageWidth - 8, mx, my);
+        Scissor.enable(0, this.top, this.width, this.bottom - this.top);
+        if (my >= this.top && my <= this.bottom) {
+            this.drawPageItems(this.leftWidth + SEPARATOR_WIDTH + PADDING, this.top - (int) this.rightScrollAmount, this.pageWidth - 8, mx, my);
         } else {
-            drawPageItems(leftWidth + SEPARATOR_WIDTH + PADDING, top - (int) rightScrollAmount, pageWidth - 8, -1, -1);
+            this.drawPageItems(this.leftWidth + SEPARATOR_WIDTH + PADDING, this.top - (int) this.rightScrollAmount, this.pageWidth - 8, -1, -1);
         }
         Scissor.disable();
 
-        Scissor.enable(0, top, leftWidth, bottom - top);
-        int pagesListHeight = getTotalLeftPanelHeight();
-        int pagesListY = top - (int) leftScrollAmount;
-        if (pagesListHeight < bottom - top) {
-            pagesListY = top + (bottom - top - pagesListHeight) / 2;
+        Scissor.enable(0, this.top, this.leftWidth, this.bottom - this.top);
+        final int pagesListHeight = this.getTotalLeftPanelHeight();
+        int pagesListY = this.top - (int) this.leftScrollAmount;
+        if (pagesListHeight < this.bottom - this.top) {
+            pagesListY = this.top + (this.bottom - this.top - pagesListHeight) / 2;
         }
-        if (my >= top && my <= bottom) {
-            drawPagesListItems(PADDING - 4, pagesListY, leftWidth - PADDING, mx, my);
+        if (my >= this.top && my <= this.bottom) {
+            this.drawPagesListItems(PADDING - 4, pagesListY, this.leftWidth - PADDING, mx, my);
         } else {
-            drawPagesListItems(PADDING - 4, pagesListY, leftWidth - PADDING, -1, -1);
+            this.drawPagesListItems(PADDING - 4, pagesListY, this.leftWidth - PADDING, -1, -1);
         }
         Scissor.disable();
 
         // Draw shadows
-        if (mc.currentWorld == null)
-        {
-            Tessellator tessellator = Tessellator.instance;
+        if (this.mc.currentWorld == null) {
+            final Tessellator tessellator = Tessellator.instance;
             GL11.glDisable(GL_DEPTH_TEST);
-            int shadowSize = 4;
+            final int shadowSize = 4;
             GL11.glEnable(GL_BLEND);
             GL11.glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
             GL11.glDisable(GL_ALPHA_TEST);
@@ -237,20 +246,20 @@ public class ScreenPaged
 
             tessellator.startDrawingQuads();
             tessellator.setColorRGBA_I(0, 0);
-            tessellator.addVertexWithUV(0, top + shadowSize, 0.0D, 0.0D, 1.0D);
-            tessellator.addVertexWithUV(width, top + shadowSize, 0.0D, 1.0D, 1.0D);
+            tessellator.addVertexWithUV(0, this.top + shadowSize, 0.0D, 0.0D, 1.0D);
+            tessellator.addVertexWithUV(this.width, this.top + shadowSize, 0.0D, 1.0D, 1.0D);
             tessellator.setColorRGBA_I(0, 255);
-            tessellator.addVertexWithUV(width, top, 0.0D, 1.0D, 0.0D);
-            tessellator.addVertexWithUV(0, top, 0.0D, 0.0D, 0.0D);
+            tessellator.addVertexWithUV(this.width, this.top, 0.0D, 1.0D, 0.0D);
+            tessellator.addVertexWithUV(0, this.top, 0.0D, 0.0D, 0.0D);
             tessellator.draw();
 
             tessellator.startDrawingQuads();
             tessellator.setColorRGBA_I(0, 255);
-            tessellator.addVertexWithUV(0, bottom, 0.0D, 0.0D, 1.0D);
-            tessellator.addVertexWithUV(width, bottom, 0.0D, 1.0D, 1.0D);
+            tessellator.addVertexWithUV(0, this.bottom, 0.0D, 0.0D, 1.0D);
+            tessellator.addVertexWithUV(this.width, this.bottom, 0.0D, 1.0D, 1.0D);
             tessellator.setColorRGBA_I(0, 0);
-            tessellator.addVertexWithUV(width, bottom - shadowSize, 0.0D, 1.0D, 0.0D);
-            tessellator.addVertexWithUV(0, bottom - shadowSize, 0.0D, 0.0D, 0.0D);
+            tessellator.addVertexWithUV(this.width, this.bottom - shadowSize, 0.0D, 1.0D, 0.0D);
+            tessellator.addVertexWithUV(0, this.bottom - shadowSize, 0.0D, 0.0D, 0.0D);
             tessellator.draw();
 
             GL11.glEnable(GL_TEXTURE_2D);
@@ -259,40 +268,40 @@ public class ScreenPaged
             GL11.glDisable(GL_BLEND);
         }
 
-        overlayBackground(leftWidth, leftWidth + SEPARATOR_WIDTH, top, bottom);
+        this.overlayBackground(this.leftWidth, this.leftWidth + SEPARATOR_WIDTH, this.top, this.bottom);
 
-        drawStringCenteredShadow(fontRenderer, i18n.translateKey(titleTranslationKey), width / 2, 5, 0xffffff);
+        this.drawStringCenteredShadow(this.fontRenderer, i18n.translateKey(this.titleTranslationKey), this.width / 2, 5, 0xffffff);
 
-        drawRightPanelScrollBar(mx, my);
-        drawLeftPanelScrollBar(mx, my);
+        this.drawRightPanelScrollBar(mx, my);
+        this.drawLeftPanelScrollBar(mx, my);
 
         super.render(mx, my, renderPartialTicks);
     }
 
-    protected void drawRightPanelScrollBar(int mouseX, int mouseY) {
-        float totalPageHeight = getTotalRightPanelHeight();
-        float scrollBarHeightPercent = rightScrollRegionHeight / totalPageHeight;
+    protected void drawRightPanelScrollBar(final int mouseX, final int mouseY) {
+        final float totalPageHeight = this.getTotalRightPanelHeight();
+        final float scrollBarHeightPercent = this.rightScrollRegionHeight / totalPageHeight;
 
-        if(scrollBarHeightPercent > 1.0f) return;
+        if (scrollBarHeightPercent > 1.0f) return;
 
         glDisable(GL_TEXTURE_2D);
 
-        int scrollBarX = width - 6;
+        final int scrollBarX = this.width - 6;
 
-        int scrollBarHeightPx = (int) (scrollBarHeightPercent * rightScrollRegionHeight);
-        if(scrollBarHeightPx < 32) {
+        int scrollBarHeightPx = (int) (scrollBarHeightPercent * this.rightScrollRegionHeight);
+        if (scrollBarHeightPx < 32) {
             scrollBarHeightPx = 32;
         }
 
-        float scrollPercent = rightScrollAmount / (totalPageHeight - rightScrollRegionHeight);
+        final float scrollPercent = this.rightScrollAmount / (totalPageHeight - this.rightScrollRegionHeight);
 
-        int scrollBarY = (int) (top + (rightScrollRegionHeight - scrollBarHeightPx) * scrollPercent);
+        final int scrollBarY = (int) (this.top + (this.rightScrollRegionHeight - scrollBarHeightPx) * scrollPercent);
 
-        Tessellator t = Tessellator.instance;
+        final @NotNull Tessellator t = Tessellator.instance;
 
         t.startDrawingQuads();
         t.setColorOpaque(0, 0, 0);
-        t.drawRectangle(scrollBarX, top, 6, rightScrollRegionHeight);
+        t.drawRectangle(scrollBarX, this.top, 6, this.rightScrollRegionHeight);
         t.setColorRGBA_I(0x808080, 255);
         t.drawRectangle(scrollBarX, scrollBarY, 6, scrollBarHeightPx);
         t.setColorRGBA_I(0xc0c0c0, 255);
@@ -301,43 +310,43 @@ public class ScreenPaged
 
         glEnable(GL_TEXTURE_2D);
 
-        if(clickX != null && clickY != null) {
-            if(clickX >= scrollBarX && clickY >= top && clickX <= scrollBarX + 6 && clickY < bottom) {
-                if(oldRightScrollAmount == null) {
-                    oldRightScrollAmount = rightScrollAmount;
+        if (this.clickX != null && this.clickY != null) {
+            if (this.clickX >= scrollBarX && this.clickY >= this.top && this.clickX <= scrollBarX + 6 && this.clickY < this.bottom) {
+                if (this.oldRightScrollAmount == null) {
+                    this.oldRightScrollAmount = this.rightScrollAmount;
                 }
-                rightScrollAmount = oldRightScrollAmount + (clickY - mouseY) * (1.0f / scrollBarHeightPercent) * -1.0f;
-                onScrollRightPanel();
+                this.rightScrollAmount = this.oldRightScrollAmount + (this.clickY - mouseY) * (1.0f / scrollBarHeightPercent) * -1.0f;
+                this.onScrollRightPanel();
             }
-        }else {
-            oldRightScrollAmount = null;
+        } else {
+            this.oldRightScrollAmount = null;
         }
     }
 
-    protected void drawLeftPanelScrollBar(int mouseX, int mouseY) {
-        float totalPagesListHeight = getTotalLeftPanelHeight();
-        float scrollBarHeightPercent = leftScrollRegionHeight / totalPagesListHeight;
+    protected void drawLeftPanelScrollBar(final int mouseX, final int mouseY) {
+        final float totalPagesListHeight = this.getTotalLeftPanelHeight();
+        final float scrollBarHeightPercent = this.leftScrollRegionHeight / totalPagesListHeight;
 
-        if(scrollBarHeightPercent > 1.0f) return;
+        if (scrollBarHeightPercent > 1.0f) return;
 
         glDisable(GL_TEXTURE_2D);
 
-        int scrollBarX = leftWidth - 6;
+        final int scrollBarX = this.leftWidth - 6;
 
-        int scrollBarHeightPx = (int) (scrollBarHeightPercent * leftScrollRegionHeight);
-        if(scrollBarHeightPx < 32) {
+        int scrollBarHeightPx = (int) (scrollBarHeightPercent * this.leftScrollRegionHeight);
+        if (scrollBarHeightPx < 32) {
             scrollBarHeightPx = 32;
         }
 
-        float scrollPercent = leftScrollAmount / (totalPagesListHeight - leftScrollRegionHeight);
+        final float scrollPercent = this.leftScrollAmount / (totalPagesListHeight - this.leftScrollRegionHeight);
 
-        int scrollBarY = (int) (top + (leftScrollRegionHeight - scrollBarHeightPx) * scrollPercent);
+        final int scrollBarY = (int) (this.top + (this.leftScrollRegionHeight - scrollBarHeightPx) * scrollPercent);
 
-        Tessellator t = Tessellator.instance;
+        final @NotNull Tessellator t = Tessellator.instance;
 
         t.startDrawingQuads();
         t.setColorOpaque(0, 0, 0);
-        t.drawRectangle(scrollBarX, top, 6, leftScrollRegionHeight);
+        t.drawRectangle(scrollBarX, this.top, 6, this.leftScrollRegionHeight);
         t.setColorRGBA_I(0x808080, 255);
         t.drawRectangle(scrollBarX, scrollBarY, 6, scrollBarHeightPx);
         t.setColorRGBA_I(0xc0c0c0, 255);
@@ -346,80 +355,78 @@ public class ScreenPaged
 
         glEnable(GL_TEXTURE_2D);
 
-        if(clickX != null && clickY != null) {
-            if(clickX >= scrollBarX && clickY >= top && clickX <= scrollBarX + 6 && clickY < bottom) {
-                if(oldLeftScrollAmount == null) {
-                    oldLeftScrollAmount = leftScrollAmount;
+        if (this.clickX != null && this.clickY != null) {
+            if (this.clickX >= scrollBarX && this.clickY >= this.top && this.clickX <= scrollBarX + 6 && this.clickY < this.bottom) {
+                if (this.oldLeftScrollAmount == null) {
+                    this.oldLeftScrollAmount = this.leftScrollAmount;
                 }
-                leftScrollAmount = oldLeftScrollAmount + (clickY - mouseY) * (1.0f / scrollBarHeightPercent) * -1.0f;
-                onScrollRightPanel();
+                this.leftScrollAmount = this.oldLeftScrollAmount + (this.clickY - mouseY) * (1.0f / scrollBarHeightPercent) * -1.0f;
+                this.onScrollRightPanel();
             }
-        }else {
-            oldLeftScrollAmount = null;
+        } else {
+            this.oldLeftScrollAmount = null;
         }
     }
 
     @Override
-    public void mouseClicked(int mx, int my, int buttonNum)
-    {
+    public void mouseClicked(final int mx, final int my, final int buttonNum) {
         super.mouseClicked(mx, my, buttonNum);
 
-        int left = leftWidth + SEPARATOR_WIDTH + PADDING;
+        final int left = this.leftWidth + SEPARATOR_WIDTH + PADDING;
 
-        if (mx >= leftWidth + SEPARATOR_WIDTH && my >= top && my <= bottom) {
-            int componentY = top - (int) rightScrollAmount;
-            for (PageComponent component : selectedPage.getComponents())
-            {
-                if (mx >= left && mx <= left + pageWidth - PADDING && my >= componentY && my <= componentY + component.getHeight()) {
-                    component.onMouseClick(buttonNum, left, componentY, pageWidth - PADDING, mx - left, my - componentY);
-                    clickedComponent = component;
-                    clickedComponentY = componentY;
+        if (mx >= this.leftWidth + SEPARATOR_WIDTH && my >= this.top && my <= this.bottom) {
+            int componentY = this.top - (int) this.rightScrollAmount;
+            for (final @NotNull PageComponent component : this.selectedPage.getComponents()) {
+                if (mx >= left && mx <= left + this.pageWidth - PADDING && my >= componentY && my <= componentY + component.getHeight()) {
+                    component.onMouseClick(buttonNum, left, componentY, this.pageWidth - PADDING, mx - left, my - componentY);
+                    this.clickedComponent = component;
+                    this.clickedComponentY = componentY;
                     break;
                 }
                 componentY += component.getHeight();
             }
-        } else if (mx >= 0 && mx <= leftWidth && my >= top && my <= bottom) {
-            int pagesListHeight = getTotalLeftPanelHeight();
-            int pagesListY = top - (int) leftScrollAmount;
-            if (pagesListHeight < bottom - top) {
-                pagesListY = top + (bottom - top - pagesListHeight) / 2;
+        } else if (mx >= 0 && mx <= this.leftWidth && my >= this.top && my <= this.bottom) {
+            final int pagesListHeight = this.getTotalLeftPanelHeight();
+            int pagesListY = this.top - (int) this.leftScrollAmount;
+            if (pagesListHeight < this.bottom - this.top) {
+                pagesListY = this.top + (this.bottom - this.top - pagesListHeight) / 2;
             }
-            for(Page page : pageRegistry.getPages()) {
-                if (mx >= 0 && mx <= leftWidth && my >= pagesListY && my <= pagesListY + PAGE_BUTTON_HEIGHT) {
-                    rightScrollAmount = 0;
-                    selectedPage = page;
-                    this.selectedPage.initComponents(mc);
-                    mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
-                    mc.texturePackList.refreshIfReady();
+            for (final @NotNull Page page : this.pageRegistry.getPages()) {
+                if (mx >= 0 && mx <= this.leftWidth && my >= pagesListY && my <= pagesListY + PAGE_BUTTON_HEIGHT) {
+                    this.rightScrollAmount = 0;
+                    this.selectedPage = page;
+                    this.selectedPage.initComponents(this.mc);
+                    this.mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
+                    this.mc.texturePackList.refreshIfReady();
                     break;
                 }
                 pagesListY += PAGE_BUTTON_HEIGHT;
             }
         }
 
-        clickX = mx;
-        clickY = my;
+        this.clickX = mx;
+        this.clickY = my;
     }
 
     @Override
-    public void mouseReleased(int mx, int my, int buttonNum) {
+    public void mouseReleased(final int mx, final int my, final int buttonNum) {
         super.mouseReleased(mx, my, buttonNum);
 
-        int left = leftWidth + SEPARATOR_WIDTH + PADDING;
-        if (my >= top && my <= bottom) {
-            if (clickedComponent != null) {
+        final int left = this.leftWidth + SEPARATOR_WIDTH + PADDING;
+        if (my >= this.top && my <= this.bottom) {
+            if (this.clickedComponent != null) {
                 if (buttonNum >= 0) {
-                    clickedComponent.onMouseRelease(buttonNum, left, clickedComponentY, pageWidth, mx - left, my - clickedComponentY);
-                    clickedComponent = null;
+                    this.clickedComponent.onMouseRelease(buttonNum, left, this.clickedComponentY, this.pageWidth, mx - left, my - this.clickedComponentY);
+                    this.clickedComponent = null;
                 } else {
-                    clickedComponent.onMouseMove(left, clickedComponentY, pageWidth, mx - left, my - clickedComponentY);
+                    this.clickedComponent.onMouseMove(left, this.clickedComponentY, this.pageWidth, mx - left, my - this.clickedComponentY);
                 }
             }
         }
 
-        if(buttonNum >= 0) {
-            clickX = null;
-            clickY = null;
+        if (buttonNum >= 0) {
+            this.clickX = null;
+            this.clickY = null;
         }
     }
 
